﻿using System;
using System.Collections.Generic;
using System.Text;

namespace OpenGameEngine.Logging
{
    public class ConsoleLogProvider
        : ILogProvider
    {
        public LogImportance MinimumImportance { get; set; }

        public ConsoleLogProvider(LogImportance minimumImportance)
        {
            this.MinimumImportance = minimumImportance;
        }

        public void Log(string log, LogImportance importance)
        {
            if (importance >= MinimumImportance)
                Console.WriteLine(log);
        }
    }
}
