﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using OpenGameEngine.Base;

namespace ChopperGame
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            GameConfiguration gc = new GameConfiguration("Chopper Game", 800, 600, Int32.MaxValue)
            {
                VSync = true,
            };

            using (ChopperGame game = new ChopperGame())
                game.Run(gc);
        }
    }
}
