﻿using System;
using System.Collections.Generic;
using System.Text;
using OpenGameEngine.Hud;
using OpenGameEngine.Scenes;

namespace ChopperGame.Scenes
{
    public class IntroScene : GameScene
    {
        public IntroScene()
            : base("IntroScene")
        {
            
        }

        public override void Load(OpenGameEngine.Base.GameCoreEventArgs e)
        {
            this.AcceptsKeyboardInput = false;
            this.AcceptsMouseInput = false;

            HudLayer hl = new HudLayer();
            hl.Labels.Add(new IntroStuff.IntroLabel());

            this.HudLayer.Add(hl);

            base.Load(e);
        }
    }
}
