﻿using OpenGameEngine.Scenes;

namespace ChopperGame.Scenes
{
    public class PlayScene : GameScene
    {
        public Level CurrentLevel { get; private set; }

        public PlayScene()
            : base("PlayScene")
        {
            //this.AcceptsKeyboardInput = true;
            this.AcceptsMouseInput = true;
        }

        public override void Load(OpenGameEngine.Base.GameCoreEventArgs e)
        {
            base.Load(e);

            CurrentLevel = new Level();
            this.GameObjects.Add(CurrentLevel);
        }

        public override void Update(OpenGameEngine.Base.GameCoreEventArgs e)
        {
            base.Update(e);
        }

        public override void MouseDown(OpenGameEngine.Base.GameCoreEventArgs e, System.Windows.Forms.MouseButtons button)
        {
            CurrentLevel.MouseDown(e, button);
        }

        public override void MouseUp(OpenGameEngine.Base.GameCoreEventArgs e, System.Windows.Forms.MouseButtons button)
        {
            CurrentLevel.MouseUp(e, button);
        }
    }
}
